Subject: Re: memory use on shav,paiute

From: [email-masked] (Jeff Kuehn)
Date: Wed, 6 Nov 1996 14:05:35 -0700 (MST)

Hmmm.... I wonder if this is related to differences in the initial
heap size and increment on shavano... those parameters are typically
set to smaller values on machines with small memories.  You might
try creating a segldr directives file and passing that in when you
link the code.

> 
> 
> Jeff:
> 
> I ran a post-processor yesterday on shavano (interactive)
> that iterated 135 time steps and ended up using over 14Mw
> of memory -- way more than it should have.
> 
> I use fortran pointers (hpalloc, etc) extensively, so I
> looked over my code to be sure I was deallocating appropriately.
> I found no problems, so I ran 3 shorter jobs on shavano this
> morning, iterating 5, 10, and 15 times. The jobs used HWM
> 2.232, 2.795, and 2.959 Mw respectively. This confirmed that
> memory use was increasing with number of iterations, altho 
> apparently not linearly.
> 
> Next I ran the same 3 cases on paiute, and memory use there
> held steady at 2.425 Mw! It used exactly the same memory for
> 5, 10, and 15 steps.
> 
> Why would the memory increase on shavano but remain steady
> on paiute??  I know they are running unicos 8 and 9 respectively.
> I am using PrgEnv on both machines. I'm tempted to try the
> shavano jobs again without PrgEnv.
> 
> --Ben
> 

--Jeff Kuehn,  Group Head,  NCAR/SCD Technical Consulting
  http://www.scd.ucar.edu/tcg/kuehn/HomePage.html